Subject: bug#25235: Wrapped python programs get native-inputs in PYTHONPATH

From: [email-masked] (Ludovic Courtès)
Date: Tue, 20 Dec 2016 15:00:50 +0100

Marius Bakke <[email-masked]> skribis:

> The 'wrap' phase of 'python-build-system' adds native-inputs to
> PYTHONPATH of the wrapped programs. This causes unnecessary runtime
> dependencies and may create problems when cross-compiling.
>
> Given that all python dependencies are now supposed to be propagated,
> perhaps we can simply remove the wrap phase? It only touches PYTHONPATH.

We cannot simply remove it: it is meant for packages that provide
standalone programs, such as ‘certbot’.  For these, it automatically
wraps bin/* and we don’t even have to have propagated inputs, which is
pretty cool.

However, you are right that native inputs shouldn’t be there.  Probably
we need to add some filtering in the ‘wrap’ phase?

Ludo’.